###########################################################
# $Id: Makefile.am,v 1.6 2006-08-04 05:45:59 tobibobi Exp $
# $Log: Makefile.am,v $
# Revision 1.6  2006-08-04 05:45:59  tobibobi
# Have now completed the transfering mechanism, but there are still a bit todo
# regarding stability. We have seen a few lockups of the system that is to be
# cleared out. A good solution gould be to neglegt more than one user at a time.
# As for now there is still a desperate need to make deeper testing - we need a
# mechanism to provide replies.
#
# Revision 1.5  2006/07/23 19:48:29  tobibobi
# Started doing the kernel modules
#
# Revision 1.4  2006/07/21 20:13:18  tobibobi
# *** empty log message ***
#
# Revision 1.3  2006/07/20 20:57:41  tobibobi
# *** empty log message ***
#
# Revision 1.2  2006/07/20 08:11:20  tobibobi
# *** empty log message ***
#
# Revision 1.1.1.1  2006/07/18 08:31:09  tobibobi
# Initial import
#
#
###########################################################

SUBDIRS=module
if USE_LIBCAP
  extraprogs=execcap
else
  extraprogs=
endif

TESTS=test_urobot


test_urobot_SOURCES=testbot.c

noinst_PROGRAMS=protocol test_urobot ${extraprogs} 

protocol_SOURCES=\
	ethernet.cpp ethernet.hpp \
	etherframe.cpp etherframe.hpp \
	ippacket.hpp ippacket.cpp \
	macaddress.cpp macaddress.hpp \
	ip.hpp ip.cpp \
	urpacket.hpp urpacket.cpp \
	rwproperty.hpp \
	protocol.cpp
execcap_SOURCES=execcap.cpp
AM_CXXFLAGS=-Wall

# check_PROGRAMS=protocolTest
# TESTS=protocolTest

# # noinst_HEADERS=defaults.h

# protocolTest_SOURCES=protoclient.cpp
# protocolTest_LDADD=\
# 	net/librobotnetwork.la \
# 	sys/libthreads.la \
# 	sys/libsystem.la


# protocolServer_SOURCES=protoserver.cpp
# protocolServer_LDADD=\
# 	net/librobotnetwork.la \
# 	sys/libthreads.la \
# 	sys/libsystem.la

AM_CFLAGS=-Wall -Werror

INDENTFLAGS=-bad -bap -bbb -br -bs -ce -cs -lp -prs

indent: Makefile
	find -name \*.c -exec indent ${INDENTFLAGS} {} \;
	find -name \*.cpp -exec indent ${INDENTFLAGS} {} \;
	find -name \*.h -exec indent ${INDENTFLAGS} {} \;
	find -name \*.hpp -exec indent ${INDENTFLAGS} {} \;


